package com.nbclass.szxgl.service;

import com.alibaba.fastjson.JSONObject;

/**
 * 
 * @author Leon
 * @datetime 2019年5月21日 下午2:08:59
 */
public interface GraphicStatisticsService {

	/**
	 * 获取区域项目数量统计数据 - 饼图
	 * @param starttime
	 * @param endtime
	 * @return
	 */
	public JSONObject getProjectNumDataByPie(String starttime, String endtime);
	
	
	/**
	 * 获取区域项目数量统计数据 - 折线图
	 * @param starttime
	 * @param endtime
	 * @return
	 */
	public JSONObject getProjectNumDataByLine(String starttime, String endtime);
	/**
	 * 查看个人项目统计-表格
	 * @param starttime
	 * @param endtime
	 * @return
	 */
	public JSONObject queryPersonProject(String starttime, String endtime,String deptId,String userId);
	/**
	 * 部门月报表统计-折线图
	 * @param year
	 * @param deptId
	 * @return
	 */
	public JSONObject queryMonthProjectLine(String year,String deptId);
	/**
	 * 获得公司部门列表 key-value
	 * @return
	 */
	public JSONObject queryDepartmentLable();
	
}
